# QVM: Quaternions, Vectors, Matrices

### normalize(vec)

#include <boost/qvm/vec_operations.hpp>

    namespace boost
    {
        namespace qvm
        {
            //Only enabled if:
            //  is_vec<A>::value
            template <class A>
            void normalize( A & a );
        }
    }

#### Effects:

Normalizes a.

#### Postcondition:

mag(a)==scalar_traits<typename vec_traits<A>::scalar_type>::value(1).

#### Throws:

If a's magnitude is zero, throws zero_magnitude_error.

See also: boost/qvm/vec_operations.hpp | normalized(vec)